<div class="row">

    <div class="col-12 mb-4">
        <div class="card shadow">
            <div class="card-body">
                {control formFile}
            </div>
        </div>
    </div>

    <div class="col-12 mb-4">
        <div class="card shadow">
            <div class="card-body">
                <div class="table-responsive" n:snippet="snipGrid">
                    {control grid}
                </div>
            </div>
        </div>
    </div>

</div>